curl --request GET \
--url https://api.synctera.com/v1/cards/bulk_issuance/{bulk_order_config_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/cards/bulk_issuance/{bulk_order_config_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/cards/bulk_issuance/{bulk_order_config_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bulk_issuance_policy": "AUTO",
"card_product_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"name": "Bulk Shipping to US Office",
"shipping": {
"address": {
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"postal_code": "49633",
"state": "NY",
"address_line_2": "Suite 99"
},
"method": "TWO_DAY",
"recipient_name": {
"first_name": "Jane",
"last_name": "Smith",
"middle_name": "Anne"
},
"business_name": "<string>",
"is_expedited_fulfillment": true,
"phone_number": "+14374570680"
},
"tenant": "abcdef_ghijkl",
"creation_time": "2010-05-06T12:23:34.321Z"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Get bulk order configuration
Get the details about a bulk order configuration.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of a bulk order configuration
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Response
Bulk order configuration details
Issuance for bulk orders with respect to when the order is shipped.
| Policy | Description |
|---|---|
| AUTO | Bulk orders will be fulfilled at the daily cutoff time 09:00 UTC (default). |
| MANUAL | Bulk orders will be shipped when requested. |
AUTO, MANUAL The unique identifier of a cards product
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The unique identifier of a bulk order configuration
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Name associated with the bulk order configuration.
"Bulk Shipping to US Office"
Details about the shipping method for bulk issuance.
Show child attributes
Show child attributes
The id of the tenant containing the resource.
"abcdef_ghijkl"
The timestamp representing when the bulk order config was created
"2010-05-06T12:23:34.321Z"
Was this page helpful?

